Jack2: Jack::JackNetInterface Class Reference

Jack2 1.9.12

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
Jack::JackNetInterface Class Referenceabstract

`#include <JackNetInterface.h>`

Inheritance diagram for Jack::JackNetInterface:

## Public Member Functions
| JackNetInterface (const char *multicast_ip, int port)
| JackNetInterface (session_params_t &params, JackNetSocket &socket, const char *multicast_ip)

## Protected Member Functions
void | Initialize ()
int | SetNetBufferSize ()
void | FreeNetworkBuffers ()
virtual bool | SetParams ()
virtual bool | Init ()=0
virtual void | EncodeTransportData ()=0
virtual void | DecodeTransportData ()=0
virtual void | EncodeSyncPacket (int frames=-1)=0
virtual void | DecodeSyncPacket (int &frames)=0
virtual int | SyncRecv ()=0
virtual int | SyncSend ()=0
virtual int | DataRecv ()=0
virtual int | DataSend ()=0
virtual int | Send (size_t size, int flags)=0
virtual int | Recv (size_t size, int flags)=0
virtual void | FatalRecvError ()=0
virtual void | FatalSendError ()=0
int | MidiSend (NetMidiBuffer *buffer, int midi_channnels, int audio_channels)
int | AudioSend (NetAudioBuffer *buffer, int audio_channels)
int | MidiRecv (packet_header_t *rx_head, NetMidiBuffer *buffer, uint &recvd_midi_pckt)
int | AudioRecv (packet_header_t *rx_head, NetAudioBuffer *buffer)
int | FinishRecv (NetAudioBuffer *buffer)
void | SetRcvTimeOut ()
void | SetPacketTimeOut (int time_out)
NetAudioBuffer * | AudioBufferFactory (int nports, char *buffer)

## Protected Attributes
bool | fSetTimeOut
int | fPacketTimeOut
session_params_t | fParams
JackNetSocket | fSocket
char | fMulticastIP [32]
packet_header_t | fTxHeader
packet_header_t | fRxHeader
net_transport_data_t | fSendTransportData
net_transport_data_t | fReturnTransportData
char * | fTxBuffer
char * | fRxBuffer
char * | fTxData
char * | fRxData
NetMidiBuffer * | fNetMidiCaptureBuffer
NetMidiBuffer * | fNetMidiPlaybackBuffer
NetAudioBuffer * | fNetAudioCaptureBuffer
NetAudioBuffer * | fNetAudioPlaybackBuffer

## Friends
class | JackNetExt

## Detailed Description

This class describes the basic Net Interface, used by both master and slave.

Definition at line 48 of file JackNetInterface.h.

The documentation for this class was generated from the following files:

- JackNetInterface.h
- JackNetInterface.cpp